# Description
This module allows you add role description in drupal configuration to improve
the UX of the role widget form, adding this description to the checkboxes.

The module implements native user role widget and works with role_delegation
widget as well.

# Drupal core related issue
In core are working to change the role entity to add description field in:
https://www.drupal.org/project/drupal/issues/256287

We have implements this solution to avoid conflicts with core implementation.
If the issue solved, this module will be deprecated.

# Known issues
For now you can't translate role description config via UI because core doesn't
support sequence data type translations via UI.

Until this will be fixed, you can copy your exported config and put in a
language/ directory to translate overrides only the keys that you want to
translate. Examples:

config/main/role_description.settings.yml

```
_core:
  default_config_hash: {default_config_hash}
langcode: en
role_description:
  administrator: 'The role given to admin users.'
  content_editor: 'The role given to content editors.'
```

config/main/language/es/role_description.settings.yml

If you only want to translate content_editor the file would contains:

```
role_description:
  content_editor: 'Rol a asignar a los editores de contenido.'
```
